# Uses of Interface
org.eclipse.emf.compare.ide.ui.logical.IModelMinimizer

Packages that use IModelMinimizer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.ide.ui.logical

## Uses of IModelMinimizer in org.eclipse.emf.compare.ide.ui.internal.logical

Classes in org.eclipse.emf.compare.ide.ui.internal.logical that implement IModelMinimizer
Modifier and Type
Class
Description
`class`
`IdenticalResourceMinimizer`
Instances of this class will be used by EMF Compare to minimize the scope to parts of a logical model that can be considered valid candidates for a difference.
`class`
`NullModelMinimizer`
An empty implementation of an `IModelMinimizer`.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical that return IModelMinimizer
Modifier and Type
Method
Description
`IModelMinimizer`
ModelMinimizerRegistry.`addMinimizer(IModelMinimizer minimizer)`
`IModelMinimizer`
ModelMinimizerRegistry.`removeMinimizer(String className)`
Methods in org.eclipse.emf.compare.ide.ui.internal.logical that return types with arguments of type IModelMinimizer
Modifier and Type
Method
Description
`List<IModelMinimizer>`
ModelMinimizerRegistry.`getModelMinimizers()`
Methods in org.eclipse.emf.compare.ide.ui.internal.logical with parameters of type IModelMinimizer
Modifier and Type
Method
Description
`IModelMinimizer`
ModelMinimizerRegistry.`addMinimizer(IModelMinimizer minimizer)`
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical with parameters of type IModelMinimizer
Modifier
Constructor
Description
``
`ComparisonScopeBuilder(IModelResolver resolver, IModelMinimizer minimizer)`
Constructs a builder given its model resolver and minimizer.
``
`ComparisonScopeBuilder(IModelResolver resolver, IModelMinimizer minimizer, IStorageProviderAccessor storageAccessor)`
Constructs a builder given its model resolver and minimizer, along with the storage accessor for remote data.

## Uses of IModelMinimizer in org.eclipse.emf.compare.ide.ui.logical

Classes in org.eclipse.emf.compare.ide.ui.logical that implement IModelMinimizer
Modifier and Type
Class
Description
`class`
`CompoundModelMinimizer`
This class encapsulates a list of model minimizers and propagates any calls to each element in the list.
Fields in org.eclipse.emf.compare.ide.ui.logical with type parameters of type IModelMinimizer
Modifier and Type
Field
Description
`protected List<IModelMinimizer>`
CompoundModelMinimizer.`minimizers`
The list of model minimizers.
Methods in org.eclipse.emf.compare.ide.ui.logical that return IModelMinimizer
Modifier and Type
Method
Description
`IModelMinimizer`
IModelMinimizer.Registry.`addMinimizer(IModelMinimizer minimizer)`
Add the given `minimizer` to this registry.
`IModelMinimizer`
IModelMinimizer.Registry.`removeMinimizer(String className)`
Removes the `minimizer` registered within this registry with the given class name.
Methods in org.eclipse.emf.compare.ide.ui.logical that return types with arguments of type IModelMinimizer
Modifier and Type
Method
Description
`List<IModelMinimizer>`
IModelMinimizer.Registry.`getModelMinimizers()`
Returns the list of registered model minimizers.
Methods in org.eclipse.emf.compare.ide.ui.logical with parameters of type IModelMinimizer
Modifier and Type
Method
Description
`IModelMinimizer`
IModelMinimizer.Registry.`addMinimizer(IModelMinimizer minimizer)`
Add the given `minimizer` to this registry.
Constructors in org.eclipse.emf.compare.ide.ui.logical with parameters of type IModelMinimizer
Modifier
Constructor
Description
``
`CompoundModelMinimizer(IModelMinimizer... minimizers)`
Creates a new compound model minimizer with the given minimizers.
Constructor parameters in org.eclipse.emf.compare.ide.ui.logical with type arguments of type IModelMinimizer
Modifier
Constructor
Description
``
`CompoundModelMinimizer(List<IModelMinimizer> minimizers)`
Creates a new compound model minimizer with the given minimizers.